Robotsystem from Robot Group Leipzig: IComponent Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# IComponent Class Reference

`#include <component.h>`

Inheritance diagram for IComponent:

[legend]
Collaboration diagram for IComponent:

[legend]
List of all members.

## Detailed Description

Component.

the building parts for robots

Definition at line 146 of file component.h.

## Public Member Functions
virtual unsigned | get_sub_component_count () const =0
virtual IComponent & | get_sub_component (unsigned index) const =0
virtual unsigned | expose_wires (WireContainer &r_wire_set)=0
virtual void | draw () const =0
virtual const IComponent * | does_contain_geom (const dGeomID geom_id, bool b_recursive) const =0
virtual bool | collision_callback (OdeHandle *p_ode_handle, dGeomID geom_id_0, dGeomID geom_id_1) const =0

## Member Function Documentation

virtual bool collision_callback | ( | OdeHandle * | p_ode_handle,
|  | dGeomID | geom_id_0,
|  | dGeomID | geom_id_1
| ) | const`[pure virtual]`

| Implemented in SimplePhysicalComponent, UniversalMotorComponent, CCURobotArmComponent, and SpiderComponent.

virtual const IComponent* does_contain_geom | ( | const dGeomID | geom_id,
|  | bool | b_recursive
| ) | const`[pure virtual]`

| Implemented in AbstractComponent, AbstractCompoundComponent, SimplePhysicalComponent, and CCURobotArmComponent.

virtual void draw | ( |  | ) | const`[pure virtual]`

| Implemented in AbstractCompoundComponent, SimplePhysicalComponent, UniversalMotorComponent, and CCURobotArmComponent.

virtual unsigned expose_wires | ( | WireContainer & | r_wire_set | ) | `[pure virtual]`

| Implemented in AbstractComponent, AbstractCompoundComponent, and UniversalMotorComponent.

virtual IComponent& get_sub_component | ( | unsigned | index | ) | const`[pure virtual]`

| Implemented in AbstractComponent, and AbstractCompoundComponent.

virtual unsigned get_sub_component_count | ( |  | ) | const`[pure virtual]`

| Implemented in AbstractComponent, and AbstractCompoundComponent.